package example.stdhaskell.chapter02;

import haskell.prelude.Char;
import haskell.prelude.IO;
import haskell.prelude.List;

public class Cat {

    /**
     * main = do
     *   cs <- getContents
     *   putStr cs
     */
    public static void main(java.lang.String[] args) {
        IO<List<Char>> cs = IO.getContents();
        IO<?> main = IO.eval(IO.putStr(), cs);
        System.out.println(main);
    }

}
